public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/libunwind/
Date: Mon,  5 Jun 2023 05:02:40 +0000 (UTC)	[thread overview]
Message-ID: <1685941053.f6fc5bac554ca45654210a12c8357e92e2d1e1a7.sam@gentoo> (raw)

commit:     f6fc5bac554ca45654210a12c8357e92e2d1e1a7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  5 04:57:33 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun  5 04:57:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6fc5bac

sys-libs/libunwind: add 1.7.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/libunwind/Manifest               |   2 +
 sys-libs/libunwind/libunwind-1.7.0.ebuild | 118 ++++++++++++++++++++++++++++++
 2 files changed, 120 insertions(+)

diff --git a/sys-libs/libunwind/Manifest b/sys-libs/libunwind/Manifest
index baadb9574aee..ccd1635dbb89 100644
--- a/sys-libs/libunwind/Manifest
+++ b/sys-libs/libunwind/Manifest
@@ -1,3 +1,5 @@
 DIST libunwind-1.6.2-docs.tar.xz 25372 BLAKE2B d16562b29c49070f0cd6ad9211c7c3283b527bd88677d9ce50b15f27254bac504ea79b807e01f4f2bdb05649ff8980f94346ef9737bf5b5bd7c313e547222f10 SHA512 71bcb781cc37ccbef7b349225b1b3b4cd6ba4ce5a48d8478cea17f8245614b672d8e14b5a088e2d998ea717670a371925d4fbe407dde636611f7c2f2901065d8
 DIST libunwind-1.6.2-loong.patch.xz 122756 BLAKE2B 1d369d18e71c4b9faa79a31a917a0f42a7bb394acd3bf8dc9ef181f2ca55bee04bef070c57ea04853b756efd561cb60409770b1f6fa9095d0e14565eb0bfc621 SHA512 46c8a6022dbf099965cf121d91691aae0a38fb31901730f47f712a7078b323e04f278e6751a7d169ed7e87792f321b15471b253668541598b82edb6626b9518f
 DIST libunwind-1.6.2.tar.gz 901392 BLAKE2B 3d0313f7e92cbc3e1a84ad3831a5170f21cdf772f1697ca0a59dea63cdd47da382e9f1fd77325d9ff8bcd47559a425dc883a820c646c628cd00faed82cb0f83f SHA512 1d17dfb14f99a894a6cda256caf9ec481c14068aaf8f3a85fa3befa7c7cca7fca0f544a91a3a7c2f2fc55bab19b06a67ca79f55ac9081151d94478c7f611f8f7
+DIST libunwind-1.7.0-docs.tar.xz 27268 BLAKE2B e035009c7a7df15b020b8186e18053ee0e839e4a779155057426531c28d96f18cfc7beeef6ac1dd8496781812bc1023fbfcb5de0dffebda7de0e6975b17a23e6 SHA512 c18e3664d72fa0856609ac99a7ca04f969167f9bb2cd849e9ce0df63565c27a41080f67bb6d452657471fd0796c386fd993cfc4f3881ca47086301cda069b943
+DIST libunwind-1.70.tar.gz 912930 BLAKE2B ef9cd9dc516cf906e883f40230942b18406f2cdbcfa7f7ea25673b400ebe621feb69d13ad1959bd0431bdf9c336082c7c364170214d8ae0f34eb8d285427bee3 SHA512 ec65a73db2f563784b880abf81864b85165255770e950feea57dd83700b72726d0e8c7d5b06e9485735538452730b8ecf2d52c3cc8190dfe69b765e1a9d4271c

diff --git a/sys-libs/libunwind/libunwind-1.7.0.ebuild b/sys-libs/libunwind/libunwind-1.7.0.ebuild
new file mode 100644
index 000000000000..0bbded1272bd
--- /dev/null
+++ b/sys-libs/libunwind/libunwind-1.7.0.ebuild
@@ -0,0 +1,118 @@
+# Copyright 2005-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Generate using https://github.com/thesamesam/sam-gentoo-scripts/blob/main/niche/generate-libunwind-docs
+# Set to 1 if prebuilt, 0 if not
+# (the construct below is to allow overriding from env for script)
+: ${LIBUNWIND_DOCS_PREBUILT:=1}
+
+LIBUNWIND_DOCS_PREBUILT_DEV=sam
+LIBUNWIND_DOCS_VERSION=$(ver_cut 1-3)
+# Default to generating docs (inc. man pages) if no prebuilt; overridden later
+LIBUNWIND_DOCS_USEFLAG="+doc"
+
+[[ ${LIBUNWIND_DOCS_PREBUILT} == 1 ]] && LIBUNWIND_DOCS_USEFLAG="doc"
+
+inherit multilib-minimal
+
+MY_P=${PN}-$(ver_rs 2 '')
+DESCRIPTION="Portable and efficient API to determine the call-chain of a program"
+HOMEPAGE="https://savannah.nongnu.org/projects/libunwind"
+SRC_URI="https://github.com/libunwind/libunwind/releases/download/v${PV}/${MY_P}.tar.gz"
+if [[ ${LIBUNWIND_DOCS_PREBUILT} == 1 ]] ; then
+	SRC_URI+=" !doc? ( https://dev.gentoo.org/~${LIBUNWIND_DOCS_PREBUILT_DEV}/distfiles/${CATEGORY}/${PN}/${PN}-${LIBUNWIND_DOCS_VERSION}-docs.tar.xz )"
+fi
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0/8" # libunwind.so.8
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 -sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug debug-frame ${LIBUNWIND_DOCS_USEFLAG} libatomic lzma static-libs test zlib"
+
+RESTRICT="test !test? ( test )" # some tests are broken (toolchain version dependent, rely on external binaries)
+
+BDEPEND="
+	doc? ( app-text/texlive-core )
+"
+RDEPEND="
+	lzma? ( app-arch/xz-utils[static-libs?,${MULTILIB_USEDEP}] )
+	zlib? ( sys-libs/zlib[static-libs?,${MULTILIB_USEDEP}] )
+"
+# We just use the header from libatomic.
+DEPEND="
+	${RDEPEND}
+	libatomic? ( dev-libs/libatomic_ops[${MULTILIB_USEDEP}] )
+"
+
+MULTILIB_WRAPPED_HEADERS=(
+	/usr/include/libunwind.h
+
+	# see libunwind.h for the full list of arch-specific headers
+	/usr/include/libunwind-aarch64.h
+	/usr/include/libunwind-arm.h
+	/usr/include/libunwind-hppa.h
+	/usr/include/libunwind-ia64.h
+	/usr/include/libunwind-mips.h
+	/usr/include/libunwind-ppc32.h
+	/usr/include/libunwind-ppc64.h
+	/usr/include/libunwind-riscv.h
+	/usr/include/libunwind-sh.h
+	/usr/include/libunwind-tilegx.h
+	/usr/include/libunwind-x86.h
+	/usr/include/libunwind-x86_64.h
+)
+
+src_prepare() {
+	default
+
+	chmod +x src/ia64/mk_cursor_i || die
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		# --enable-cxx-exceptions: always enable it, headers provide the interface
+		# and on some archs it is disabled by default causing a mismatch between the
+		# API and the ABI, bug #418253
+		--enable-cxx-exceptions
+		--enable-coredump
+		--enable-ptrace
+		--enable-setjmp
+		$(use_enable debug-frame)
+		$(multilib_native_use_enable doc documentation)
+		$(use_enable lzma minidebuginfo)
+		$(use_enable static-libs static)
+		$(use_enable zlib zlibdebuginfo)
+		# conservative-checks: validate memory addresses before use; as of 1.0.1,
+		# only x86_64 supports this, yet may be useful for debugging, couple it with
+		# debug useflag.
+		$(use_enable debug conservative_checks)
+		$(use_enable debug)
+		$(use_enable test tests)
+	)
+
+	export ac_cv_header_atomic_ops_h=$(usex libatomic)
+
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	# bug #586208
+	CCACHE_NODIRECT=1 default
+}
+
+multilib_src_test() {
+	# Explicitly allow parallel build of tests.
+	# Sandbox causes some tests to freak out.
+	SANDBOX_ON=0 emake check
+}
+
+multilib_src_install_all() {
+	find "${ED}" -name "*.la" -type f -delete || die
+
+	# If USE=doc, there'll be newly generated docs which we install instead.
+	if ! use doc && [[ ${LIBUNWIND_DOCS_PREBUILT} == 1 ]] ; then
+		doman "${WORKDIR}"/${PN}-${LIBUNWIND_DOCS_VERSION}-docs/man*/*.[0-8]
+	fi
+}


             reply	other threads:[~2023-06-05  5:02 UTC|newest]

Thread overview: 134+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-05  5:02 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-31 14:03 [gentoo-commits] repo/gentoo:master commit in: sys-libs/libunwind/ Andreas K. Hüttel
2024-06-01  3:46 Ionen Wolkens
2024-04-29 13:42 Sam James
2024-04-29 13:42 Sam James
2024-04-29  8:05 Arthur Zamarin
2024-04-29  8:05 Arthur Zamarin
2024-04-29  8:05 Arthur Zamarin
2024-03-12  0:29 Sam James
2024-03-04 10:24 Sam James
2024-02-29  4:34 Sam James
2024-01-14 21:03 Sam James
2024-01-03  2:20 Ionen Wolkens
2023-10-04 22:21 Sam James
2023-09-07 23:03 Sam James
2023-09-07 23:03 Sam James
2023-09-07 23:03 Sam James
2023-09-07 20:53 Sam James
2023-09-07 20:16 Sam James
2023-07-30 12:44 Sam James
2023-07-30 12:44 Sam James
2023-07-23 23:55 Sam James
2023-06-10  7:08 Sam James
2023-06-09 19:08 Arthur Zamarin
2023-06-09 16:35 Arthur Zamarin
2023-06-09 14:38 Sam James
2023-06-09 14:24 Arthur Zamarin
2023-06-09 14:00 Arthur Zamarin
2023-06-09 13:51 Arthur Zamarin
2023-06-06  7:09 Sam James
2022-10-29 21:39 Sam James
2022-08-30 19:06 Sam James
2022-08-30 16:11 WANG Xuerui
2022-08-30 16:11 WANG Xuerui
2022-08-18  3:15 Sam James
2022-08-05  5:57 Sam James
2022-08-05  4:12 Sam James
2022-08-05  3:19 Sam James
2022-08-05  3:19 Sam James
2022-05-04  5:40 Sam James
2022-03-20 20:16 Arthur Zamarin
2022-02-25 18:38 Sam James
2022-02-19 11:10 Arthur Zamarin
2022-02-19 11:04 Arthur Zamarin
2022-02-19  3:38 Sam James
2022-02-19  3:06 Sam James
2022-02-19  2:40 Sam James
2022-02-19  2:28 Sam James
2021-12-02 23:56 Sam James
2021-11-27 14:39 Sam James
2021-09-18  6:31 Andreas K. Hüttel
2021-06-25 17:24 Marek Szuba
2021-02-20 10:23 Sergei Trofimovich
2021-02-16 12:34 Sam James
2021-02-14  2:10 Sam James
2021-02-12 13:46 Sam James
2021-02-07 18:19 Sergei Trofimovich
2021-02-05 22:33 Sam James
2021-02-05 12:31 Sam James
2021-02-05 10:42 Sam James
2021-02-05 10:40 Sam James
2021-01-03 10:14 Sergei Trofimovich
2020-12-25 12:17 Sergei Trofimovich
2020-12-22  5:18 Sam James
2020-12-17 17:06 Sergei Trofimovich
2020-12-17 14:56 Sergei Trofimovich
2020-12-16 23:10 Sam James
2020-12-16 16:13 Sam James
2020-12-14 21:51 Sergei Trofimovich
2020-12-13 21:45 Thomas Deutschmann
2020-12-13  9:00 Sam James
2020-12-13  8:51 Sam James
2020-11-12  8:15 Sergei Trofimovich
2020-07-05 10:56 Sergei Trofimovich
2020-07-05  8:36 Sergei Trofimovich
2020-06-21 17:08 Agostino Sarubbo
2020-06-21 17:03 Agostino Sarubbo
2020-06-21 16:58 Agostino Sarubbo
2020-06-21 16:54 Agostino Sarubbo
2020-06-21 15:24 Thomas Deutschmann
2020-05-02 17:51 Sergei Trofimovich
2020-04-02  7:03 Sergei Trofimovich
2020-04-02  6:29 Sergei Trofimovich
2020-04-02  6:29 Sergei Trofimovich
2020-04-01 21:53 Sergei Trofimovich
2020-02-12 23:42 Sergei Trofimovich
2020-01-12 10:36 Sergei Trofimovich
2019-12-24 14:13 Mikle Kolyada
2019-12-22 11:03 Sergei Trofimovich
2019-12-10 14:08 Agostino Sarubbo
2019-12-10 12:16 Agostino Sarubbo
2019-12-10  9:17 Agostino Sarubbo
2019-12-09 19:32 Aaron Bauman
2019-12-09 18:27 Sergei Trofimovich
2019-12-09 14:38 Agostino Sarubbo
2019-12-08 22:33 Sergei Trofimovich
2019-12-08 22:31 Sergei Trofimovich
2019-05-05 20:07 Mikle Kolyada
2019-01-25 23:11 Sergei Trofimovich
2018-08-30 18:25 Sergei Trofimovich
2018-07-01  4:11 Matthias Maier
2018-01-14 19:43 Mike Frysinger
2017-12-06 22:34 Sergei Trofimovich
2017-10-04  9:32 Andreas Hüttel
2017-10-03 18:02 Andreas Hüttel
2017-10-02 22:32 Andreas Hüttel
2017-10-01  2:34 Matt Turner
2017-10-01  2:34 Matt Turner
2017-09-12 20:00 Matt Turner
2017-09-12 20:00 Matt Turner
2017-09-09 10:27 Markus Meier
2017-08-30 21:32 Sergei Trofimovich
2017-08-30 14:28 Andreas Hüttel
2017-08-29 22:09 Sergei Trofimovich
2017-08-18  9:41 Sergei Trofimovich
2017-03-01 10:08 Michael Weber
2017-02-14  2:37 Mike Frysinger
2017-02-14  2:37 Mike Frysinger
2017-01-15  7:22 Aaron Bauman
2016-09-18 20:41 Michał Górny
2016-07-08 12:02 Agostino Sarubbo
2016-07-08  7:53 Agostino Sarubbo
2016-06-27  8:48 Agostino Sarubbo
2016-06-21 18:32 Markus Meier
2016-06-16 15:12 Mike Frysinger
2016-06-16 10:42 Jeroen Roovers
2016-06-15 15:41 Jeroen Roovers
2016-06-14 10:19 Agostino Sarubbo
2016-06-13 18:23 Mike Frysinger
2016-06-13 18:21 Mike Frysinger
2016-06-13 18:21 Mike Frysinger
2016-06-13 18:04 Mike Frysinger
2016-06-13 18:04 Mike Frysinger
2016-06-13  2:09 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1685941053.f6fc5bac554ca45654210a12c8357e92e2d1e1a7.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox